/* eslint-disable */
/*!
* @scbd/page-header 0.1.0
*
* @link www.cbd.int
* @source https://github.com/scbd/@scbd/page-header
* @copyright (c) 2019-2020 Secretariat of the Convention on Biological Diversity <it@cbd.int>
* @license MIT
* https://github.com/scbd/@scbd/page-header/blob/master/LICENCE
*/

import { get$http } from 'https://cdn.cbd.int/@scbd/load-http/dist/browser/index.js';
import { setDefaultOptions, getDefaultOptionsFunction } from 'https://cdn.cbd.int/@scbd/default-options/dist/browser/index.js';
import { getUnLocale } from 'https://cdn.cbd.int/@scbd/locale/dist/browser/index.js';

//
//
//


var script = {
  name : 'WPHeader',
  props: [ 'siteNavElms', 'opts' ],
  getJsonLd
};


function getJsonLd({ siteNavElms, opts }){
  const { basePath, host }    = opts;

  return {
    '@context' : 'https://schema.org',
    '@type'    : 'WPHeader',
    '@id'      : `${host}${basePath}#pageSubHeader`,
    cssSelector: '#pageSubHeader',
    xpath      : '//*[@id="pageSubHeader"]',
    hasPart    : siteNavElms
  }
}

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function(_h, _vm) {
  var _c = _vm._c;
  return _c("script", {
    attrs: { type: "application/json+ld" },
    domProps: { innerHTML: _vm._s(_vm.$options.getJsonLd(_vm.props)) }
  })
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = true;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

/* script */

/* template */
var __vue_render__$1 = function(_h, _vm) {
  var _c = _vm._c;
  return _c(
    "a",
    {
      staticClass: "navbar-brand",
      attrs: {
        href: "/",
        title: _vm.parent.$t("Convention on Biological Diversity")
      }
    },
    [
      _c("img", {
        attrs: {
          id: "scbdLogo",
          src:
            "https://attachments.cbd.int/" +
            _vm.parent.$i18n.locale +
            "/CBD_logo_green.png",
          alt: _vm.parent.$t("Convention on Biological Diversity")
        }
      })
    ]
  )
};
var __vue_staticRenderFns__$1 = [];
__vue_render__$1._withStripped = true;

  /* style */
  const __vue_inject_styles__$1 = undefined;
  /* scoped */
  const __vue_scope_id__$1 = undefined;
  /* module identifier */
  const __vue_module_identifier__$1 = undefined;
  /* functional template */
  const __vue_is_functional_template__$1 = true;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$1 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$1, staticRenderFns: __vue_staticRenderFns__$1 },
    __vue_inject_styles__$1,
    {},
    __vue_scope_id__$1,
    __vue_is_functional_template__$1,
    __vue_module_identifier__$1,
    false,
    undefined,
    undefined,
    undefined
  );

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

/**
 * Source: ftp://ftp.unicode.org/Public/UCD/latest/ucd/SpecialCasing.txt
 */
/**
 * Lower case as a function.
 */
function lowerCase(str) {
    return str.toLowerCase();
}

// Support camel case ("camelCase" -> "camel Case" and "CAMELCase" -> "CAMEL Case").
var DEFAULT_SPLIT_REGEXP = [/([a-z0-9])([A-Z])/g, /([A-Z])([A-Z][a-z])/g];
// Remove all non-word characters.
var DEFAULT_STRIP_REGEXP = /[^A-Z0-9]+/gi;
/**
 * Normalize the string into something other libraries can manipulate easier.
 */
function noCase(input, options) {
    if (options === void 0) { options = {}; }
    var _a = options.splitRegexp, splitRegexp = _a === void 0 ? DEFAULT_SPLIT_REGEXP : _a, _b = options.stripRegexp, stripRegexp = _b === void 0 ? DEFAULT_STRIP_REGEXP : _b, _c = options.transform, transform = _c === void 0 ? lowerCase : _c, _d = options.delimiter, delimiter = _d === void 0 ? " " : _d;
    var result = replace(replace(input, splitRegexp, "$1\0$2"), stripRegexp, "\0");
    var start = 0;
    var end = result.length;
    // Trim the delimiter from around the output string.
    while (result.charAt(start) === "\0")
        start++;
    while (result.charAt(end - 1) === "\0")
        end--;
    // Transform each token independently.
    return result
        .slice(start, end)
        .split("\0")
        .map(transform)
        .join(delimiter);
}
/**
 * Replace `re` in the input string with the replacement value.
 */
function replace(input, re, value) {
    if (re instanceof RegExp)
        return input.replace(re, value);
    return re.reduce(function (input, re) { return input.replace(re, value); }, input);
}

function pascalCaseTransform(input, index) {
    var firstChar = input.charAt(0);
    var lowerChars = input.substr(1).toLowerCase();
    if (index > 0 && firstChar >= "0" && firstChar <= "9") {
        return "_" + firstChar + lowerChars;
    }
    return "" + firstChar.toUpperCase() + lowerChars;
}
function pascalCase(input, options) {
    if (options === void 0) { options = {}; }
    return noCase(input, __assign({ delimiter: "", transform: pascalCaseTransform }, options));
}

function camelCaseTransform(input, index) {
    if (index === 0)
        return input.toLowerCase();
    return pascalCaseTransform(input, index);
}
function camelCase(input, options) {
    if (options === void 0) { options = {}; }
    return pascalCase(input, __assign({ transform: camelCaseTransform }, options));
}

const makeSelector = ({ name, position }, postFixRaw) => {
  const cleanName  = camelCase(name.replace(/[^A-Za-z0-9\s]/ig, ''));
  const postFix    = postFixRaw? `-${postFixRaw? postFixRaw.toUpperCase() : ''}` : '';
  const pos        = position? `P${getPosition(position)}` : '';

  return `${cleanName}${pos}${postFix}`
};

function getPosition(p){ return Array.isArray(p)? p[0] : p }

//

var script$1 = { props: [ 'siteNavElms', 'opts' ], makeSelector };

/* script */
const __vue_script__$1 = script$1;

/* template */
var __vue_render__$2 = function(_h, _vm) {
  var _c = _vm._c;
  return _c(
    "ul",
    { staticClass: "navbar-nav ml-auto main-nav" },
    _vm._l(_vm.props.siteNavElms.hasPart, function(aMenu, index) {
      return _c("li", { key: index, staticClass: "nav-item  main-menu-item" }, [
        _c(
          "a",
          {
            staticClass: "nav-link",
            attrs: {
              href: aMenu.url,
              id: _vm.$options.makeSelector(aMenu, "WPH-SNE"),
              title: aMenu.name,
              role: "button"
            }
          },
          [_vm._v("\n      " + _vm._s(aMenu.name) + "\n    ")]
        )
      ])
    }),
    0
  )
};
var __vue_staticRenderFns__$2 = [];
__vue_render__$2._withStripped = true;

  /* style */
  const __vue_inject_styles__$2 = undefined;
  /* scoped */
  const __vue_scope_id__$2 = undefined;
  /* module identifier */
  const __vue_module_identifier__$2 = undefined;
  /* functional template */
  const __vue_is_functional_template__$2 = true;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$2 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$2, staticRenderFns: __vue_staticRenderFns__$2 },
    __vue_inject_styles__$2,
    __vue_script__$1,
    __vue_scope_id__$2,
    __vue_is_functional_template__$2,
    __vue_module_identifier__$2,
    false,
    undefined,
    undefined,
    undefined
  );

//

const inject = { components: { default: { MainNav: __vue_component__$2, Logo: __vue_component__$1 } } };

var script$2 = {
  name : 'SubHeader',
  props: [ 'siteNavElms', 'opts' ],
  inject
};

/* script */
const __vue_script__$2 = script$2;

/* template */
var __vue_render__$3 = function(_h, _vm) {
  var _c = _vm._c;
  return _c("div", { staticClass: "desktop-only" }, [
    _c(
      "nav",
      {
        staticClass: "navbar navbar-expand-lg sub-nav",
        attrs: { id: "pageMainNav" }
      },
      [
        _c(
          "div",
          { staticClass: "limited-width-content" },
          [
            _c(_vm.injections.components.Logo, { tag: "component" }),
            _vm._v(" "),
            _c(
              _vm.injections.components.MainNav,
              _vm._b({ tag: "component" }, "component", _vm.props, false)
            )
          ],
          1
        )
      ]
    )
  ])
};
var __vue_staticRenderFns__$3 = [];
__vue_render__$3._withStripped = true;

  /* style */
  const __vue_inject_styles__$3 = undefined;
  /* scoped */
  const __vue_scope_id__$3 = undefined;
  /* module identifier */
  const __vue_module_identifier__$3 = undefined;
  /* functional template */
  const __vue_is_functional_template__$3 = true;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$3 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$3, staticRenderFns: __vue_staticRenderFns__$3 },
    __vue_inject_styles__$3,
    __vue_script__$2,
    __vue_scope_id__$3,
    __vue_is_functional_template__$3,
    __vue_module_identifier__$3,
    false,
    undefined,
    undefined,
    undefined
  );

var name = "@scbd/page-header";

/* eslint-disable */ 
 var siteNavigationElements = {"identifier":[{"name":"drupalMenuName","value":"main"}],"name":"main","position":3,"hasPart":[{"@context":"https://schema.org","@type":"SiteNavigationElement","@id":"https://www.cbd.int/#biodiversityConvention-WPH-SNE","cssSelector":"#biodiversityConvention-WPH-SNE","xpath":"//*[@id=\"biodiversityConvention-WPH-SNE\"]","name":"Biodiversity Convention","description":"Biodiversity Convention","url":"/convention/","identifier":[{"name":"drupalMenuName","value":"main"},{"name":"drupalMenuId","value":"0ff290c4-d0bb-4cfc-9d7d-5184a5c7e63a"}],"position":0},{"@context":"https://schema.org","@type":"SiteNavigationElement","@id":"https://www.cbd.int/#cartagenaProtocolP1-WPH-SNE","cssSelector":"#cartagenaProtocolP1-WPH-SNE","xpath":"//*[@id=\"cartagenaProtocolP1-WPH-SNE\"]","name":"Cartagena Protocol","description":"Cartagena Protocol","url":"http://bch.cbd.int/protocol","identifier":[{"name":"drupalMenuName","value":"main"},{"name":"drupalMenuId","value":"c020db63-a368-4db6-8f24-9f80a3dc6c6a"}],"position":1},{"@context":"https://schema.org","@type":"SiteNavigationElement","@id":"https://www.cbd.int/#nagoyaProtocolP2-WPH-SNE","cssSelector":"#nagoyaProtocolP2-WPH-SNE","xpath":"//*[@id=\"nagoyaProtocolP2-WPH-SNE\"]","name":"Nagoya Protocol","description":"Nagoya Protocol","url":"/abs","identifier":[{"name":"drupalMenuName","value":"main"},{"name":"drupalMenuId","value":"6619ba9d-5ab9-4d69-8b41-510ccd62cd04"}],"position":2},{"@context":"https://schema.org","@type":"SiteNavigationElement","@id":"https://www.cbd.int/#countriesP3-WPH-SNE","cssSelector":"#countriesP3-WPH-SNE","xpath":"//*[@id=\"countriesP3-WPH-SNE\"]","name":"Countries","description":"Countries","url":"/countries","identifier":[{"name":"drupalMenuName","value":"main"},{"name":"drupalMenuId","value":"70f88e70-6dc8-4502-a710-984246625286"}],"position":3},{"@context":"https://schema.org","@type":"SiteNavigationElement","@id":"https://www.cbd.int/#programmesP4-WPH-SNE","cssSelector":"#programmesP4-WPH-SNE","xpath":"//*[@id=\"programmesP4-WPH-SNE\"]","name":"Programmes","description":null,"url":"/programmes/","identifier":[{"name":"drupalMenuName","value":"main"},{"name":"drupalMenuId","value":"ce94b1ee-73ed-4b10-8e33-08939978de8b"}],"position":4}]};

const locale = getUnLocale();
const dev = {
  host                 : 'https://www.cbddev.xyz',
  dapi                 : 'https://dapi.cbd.int',
  static               : false,
  siteNavigationElement: siteNavigationElements,
  locale
};

const stg           = { ...dev, host: 'https://www.staging.cbd.int' };
const prod          = { ...stg, host: 'https://www.cbd.int' };

const environments  = { prod, stg, dev };
const validationMap = { host: String,  dapi: String, static: Boolean, locale: String, siteNavigationElement: Object };

setDefaultOptions({ environments, validationMap, name }, name);

var getDefaultOptionsFn = getDefaultOptionsFunction(name);

//

var script$3 = {
  name      : 'PageSubHeader',
  components: { WPHeader: __vue_component__, SubHeader: __vue_component__$3 },
  methods   : { readMenusFromApi },
  computed  : { opts, siteNavElms },
  props     : { options: { type: Object, default: () => {} } },
  created, data
};

function created(){
  if(!this.opts.static)
    setTimeout(() => this.readMenusFromApi(), 100);
}

function data(){
  return { siteNavigationElement: {} }
}
function opts(){
  return getDefaultOptionsFn(this.options)
}

function siteNavElms(){
  return Object.keys(this.siteNavigationElement||{}).length? this.siteNavigationElement : this.opts.siteNavigationElement
}

async function readMenusFromApi(){
  const $http = this.$http? this.$http : await get$http();

  this.siteNavigationElement = (await getMain($http, this.opts))[0];
}

function getMain($http, { dapi }){
  return $http.get(`${dapi}/menus/main?postfix=WPH`).then(res => res.json())
    .then((d) =>  [ { identifier: [ { name: 'drupalMenuName', value: 'main' } ], name: 'main', position: 3, hasPart: d } ])
}

const isOldIE = typeof navigator !== 'undefined' &&
    /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());
function createInjector(context) {
    return (id, style) => addStyle(id, style);
}
let HEAD;
const styles = {};
function addStyle(id, css) {
    const group = isOldIE ? css.media || 'default' : id;
    const style = styles[group] || (styles[group] = { ids: new Set(), styles: [] });
    if (!style.ids.has(id)) {
        style.ids.add(id);
        let code = css.source;
        if (css.map) {
            // https://developer.chrome.com/devtools/docs/javascript-debugging
            // this makes source maps inside style tags work properly in Chrome
            code += '\n/*# sourceURL=' + css.map.sources[0] + ' */';
            // http://stackoverflow.com/a/26603875
            code +=
                '\n/*# sourceMappingURL=data:application/json;base64,' +
                    btoa(unescape(encodeURIComponent(JSON.stringify(css.map)))) +
                    ' */';
        }
        if (!style.element) {
            style.element = document.createElement('style');
            style.element.type = 'text/css';
            if (css.media)
                style.element.setAttribute('media', css.media);
            if (HEAD === undefined) {
                HEAD = document.head || document.getElementsByTagName('head')[0];
            }
            HEAD.appendChild(style.element);
        }
        if ('styleSheet' in style.element) {
            style.styles.push(code);
            style.element.styleSheet.cssText = style.styles
                .filter(Boolean)
                .join('\n');
        }
        else {
            const index = style.ids.size - 1;
            const textNode = document.createTextNode(code);
            const nodes = style.element.childNodes;
            if (nodes[index])
                style.element.removeChild(nodes[index]);
            if (nodes.length)
                style.element.insertBefore(textNode, nodes[index]);
            else
                style.element.appendChild(textNode);
        }
    }
}

/* script */
const __vue_script__$3 = script$3;

/* template */
var __vue_render__$4 = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "header",
    {
      staticClass: "header",
      attrs: {
        id: "pageSubHeader",
        role: "banner",
        "aria-label": _vm.$t("Page Sub Header")
      }
    },
    [
      _c(
        "WPHeader",
        _vm._b(
          {},
          "WPHeader",
          { siteNavElms: _vm.siteNavElms, opts: _vm.opts },
          false
        )
      ),
      _vm._v(" "),
      _c(
        "SubHeader",
        _vm._b(
          {},
          "SubHeader",
          { siteNavElms: _vm.siteNavElms, opts: _vm.opts },
          false
        )
      )
    ],
    1
  )
};
var __vue_staticRenderFns__$4 = [];
__vue_render__$4._withStripped = true;

  /* style */
  const __vue_inject_styles__$4 = function (inject) {
    if (!inject) return
    inject("data-v-15805e74_0", { source: "\n#pageSubHeader[data-v-15805e74]{ position: fixed; top:45px; width: 100vw; z-index: 2; background-color: white;\n}\n", map: {"version":3,"sources":["/Users/randyhoulahan/projects/@scbd/ecosystem/packages/page-header/src/index.vue"],"names":[],"mappings":";AAoDA,iCAAA,eAAA,EAAA,QAAA,EAAA,YAAA,EAAA,UAAA,EAAA,uBAAA;AAAA","file":"index.vue","sourcesContent":["<i18n src=\"./locales/index.json\"></i18n>\n<template >\n  <header id=\"pageSubHeader\" class=\"header\" role=\"banner\" :aria-label=\"$t('Page Sub Header')\">\n    <WPHeader  v-bind=\"{ siteNavElms, opts }\"/>\n    <SubHeader v-bind=\"{ siteNavElms, opts }\"/>\n  </header>\n</template>\n\n<script>\nimport { get$http }          from 'https://cdn.cbd.int/@scbd/load-http/dist/browser/index.js'\nimport   WPHeader            from './components/StructuredData/WPHeader.vue'\nimport   SubHeader           from './components/SubHeader.vue'\nimport   getDefaultOptionsFn from './default-options'\n\nexport default {\n  name      : 'PageSubHeader',\n  components: { WPHeader, SubHeader },\n  methods   : { readMenusFromApi },\n  computed  : { opts, siteNavElms },\n  props     : { options: { type: Object, default: () => {} } },\n  created, data\n}\n\nfunction created(){\n  if(!this.opts.static)\n    setTimeout(() => this.readMenusFromApi(), 100)\n}\n\nfunction data(){\n  return { siteNavigationElement: {} }\n}\nfunction opts(){\n  return getDefaultOptionsFn(this.options)\n}\n\nfunction siteNavElms(){\n  return Object.keys(this.siteNavigationElement||{}).length? this.siteNavigationElement : this.opts.siteNavigationElement\n}\n\nasync function readMenusFromApi(){\n  const $http = this.$http? this.$http : await get$http()\n\n  this.siteNavigationElement = (await getMain($http, this.opts))[0]\n}\n\nfunction getMain($http, { dapi }){\n  return $http.get(`${dapi}/menus/main?postfix=WPH`).then(res => res.json())\n    .then((d) =>  [ { identifier: [ { name: 'drupalMenuName', value: 'main' } ], name: 'main', position: 3, hasPart: d } ])\n}\n</script>\n\n<style scoped>\n#pageSubHeader{ position: fixed; top:45px; width: 100vw; z-index: 2; background-color: white; }\n</style>"]}, media: undefined });

  };
  /* scoped */
  const __vue_scope_id__$4 = "data-v-15805e74";
  /* module identifier */
  const __vue_module_identifier__$4 = undefined;
  /* functional template */
  const __vue_is_functional_template__$4 = false;
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$4 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$4, staticRenderFns: __vue_staticRenderFns__$4 },
    __vue_inject_styles__$4,
    __vue_script__$3,
    __vue_scope_id__$4,
    __vue_is_functional_template__$4,
    __vue_module_identifier__$4,
    false,
    createInjector,
    undefined,
    undefined
  );

const NAME =  pascalCase(name.replace('@scbd/', 'SCBD'));

function install(Vue){
  if (install.installed) return
  
  install.installed = true;
  
  Vue.component(NAME, __vue_component__$4);
}

const plugin = { install, NAME };

export default __vue_component__$4;
export { install, plugin };
//# sourceMappingURL=index.js.map
