/* eslint-disable */
/*!
* @scbd/page-header 0.1.0
*
* @link www.cbd.int
* @source https://github.com/scbd/@scbd/page-header
* @copyright (c) 2019-2020 Secretariat of the Convention on Biological Diversity <it@cbd.int>
* @license MIT
* https://github.com/scbd/@scbd/page-header/blob/master/LICENCE
*/

import { get$http } from '@scbd/load-http';
import { camelCase, pascalCase } from 'change-case';
import { setDefaultOptions, getDefaultOptionsFunction } from '@scbd/default-options';
import { getUnLocale } from '@scbd/locale';

//
//
//


var script = {
  name : 'WPHeader',
  props: [ 'siteNavElms', 'opts' ],
  getJsonLd
};


function getJsonLd({ siteNavElms, opts }){
  const { basePath, host }    = opts;

  return {
    '@context' : 'https://schema.org',
    '@type'    : 'WPHeader',
    '@id'      : `${host}${basePath}#pageSubHeader`,
    cssSelector: '#pageSubHeader',
    xpath      : '//*[@id="pageSubHeader"]',
    hasPart    : siteNavElms
  }
}

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function (_h,_vm) {var _c=_vm._c;return _c('script',{attrs:{"type":"application/json+ld"},domProps:{"innerHTML":_vm._s(_vm.$options.getJsonLd(_vm.props))}})};
var __vue_staticRenderFns__ = [];

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = true;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

/* script */

/* template */
var __vue_render__$1 = function (_h,_vm) {var _c=_vm._c;return _c('a',{staticClass:"navbar-brand",attrs:{"href":"/","title":_vm.parent.$t('Convention on Biological Diversity')}},[_c('img',{attrs:{"id":"scbdLogo","src":("https://attachments.cbd.int/" + (_vm.parent.$i18n.locale) + "/CBD_logo_green.png"),"alt":_vm.parent.$t('Convention on Biological Diversity')}})])};
var __vue_staticRenderFns__$1 = [];

  /* style */
  const __vue_inject_styles__$1 = undefined;
  /* scoped */
  const __vue_scope_id__$1 = undefined;
  /* module identifier */
  const __vue_module_identifier__$1 = undefined;
  /* functional template */
  const __vue_is_functional_template__$1 = true;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$1 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$1, staticRenderFns: __vue_staticRenderFns__$1 },
    __vue_inject_styles__$1,
    {},
    __vue_scope_id__$1,
    __vue_is_functional_template__$1,
    __vue_module_identifier__$1,
    false,
    undefined,
    undefined,
    undefined
  );

const makeSelector = ({ name, position }, postFixRaw) => {
  const cleanName  = camelCase(name.replace(/[^A-Za-z0-9\s]/ig, ''));
  const postFix    = postFixRaw? `-${postFixRaw? postFixRaw.toUpperCase() : ''}` : '';
  const pos        = position? `P${getPosition(position)}` : '';

  return `${cleanName}${pos}${postFix}`
};

function getPosition(p){ return Array.isArray(p)? p[0] : p }

//

var script$1 = { props: [ 'siteNavElms', 'opts' ], makeSelector };

/* script */
const __vue_script__$1 = script$1;

/* template */
var __vue_render__$2 = function (_h,_vm) {var _c=_vm._c;return _c('ul',{staticClass:"navbar-nav ml-auto main-nav"},_vm._l((_vm.props.siteNavElms.hasPart),function(aMenu,index){return _c('li',{key:index,staticClass:"nav-item  main-menu-item"},[_c('a',{staticClass:"nav-link",attrs:{"href":aMenu.url,"id":_vm.$options.makeSelector(aMenu, 'WPH-SNE'),"title":aMenu.name,"role":"button"}},[_vm._v("\n      "+_vm._s(aMenu.name)+"\n    ")])])}),0)};
var __vue_staticRenderFns__$2 = [];

  /* style */
  const __vue_inject_styles__$2 = undefined;
  /* scoped */
  const __vue_scope_id__$2 = undefined;
  /* module identifier */
  const __vue_module_identifier__$2 = undefined;
  /* functional template */
  const __vue_is_functional_template__$2 = true;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$2 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$2, staticRenderFns: __vue_staticRenderFns__$2 },
    __vue_inject_styles__$2,
    __vue_script__$1,
    __vue_scope_id__$2,
    __vue_is_functional_template__$2,
    __vue_module_identifier__$2,
    false,
    undefined,
    undefined,
    undefined
  );

//

const inject = { components: { default: { MainNav: __vue_component__$2, Logo: __vue_component__$1 } } };

var script$2 = {
  name : 'SubHeader',
  props: [ 'siteNavElms', 'opts' ],
  inject
};

/* script */
const __vue_script__$2 = script$2;

/* template */
var __vue_render__$3 = function (_h,_vm) {var _c=_vm._c;return _c('div',{staticClass:"desktop-only"},[_c('nav',{staticClass:"navbar navbar-expand-lg sub-nav",attrs:{"id":"pageMainNav"}},[_c('div',{staticClass:"limited-width-content"},[_c(_vm.injections.components.Logo,{tag:"component"}),_vm._v(" "),_c(_vm.injections.components.MainNav,_vm._b({tag:"component"},'component',_vm.props,false))],1)])])};
var __vue_staticRenderFns__$3 = [];

  /* style */
  const __vue_inject_styles__$3 = undefined;
  /* scoped */
  const __vue_scope_id__$3 = undefined;
  /* module identifier */
  const __vue_module_identifier__$3 = undefined;
  /* functional template */
  const __vue_is_functional_template__$3 = true;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$3 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$3, staticRenderFns: __vue_staticRenderFns__$3 },
    __vue_inject_styles__$3,
    __vue_script__$2,
    __vue_scope_id__$3,
    __vue_is_functional_template__$3,
    __vue_module_identifier__$3,
    false,
    undefined,
    undefined,
    undefined
  );

var name = "@scbd/page-header";

/* eslint-disable */ 
 var siteNavigationElements = {"identifier":[{"name":"drupalMenuName","value":"main"}],"name":"main","position":3,"hasPart":[{"@context":"https://schema.org","@type":"SiteNavigationElement","@id":"https://www.cbd.int/#biodiversityConvention-WPH-SNE","cssSelector":"#biodiversityConvention-WPH-SNE","xpath":"//*[@id=\"biodiversityConvention-WPH-SNE\"]","name":"Biodiversity Convention","description":"Biodiversity Convention","url":"/convention/","identifier":[{"name":"drupalMenuName","value":"main"},{"name":"drupalMenuId","value":"0ff290c4-d0bb-4cfc-9d7d-5184a5c7e63a"}],"position":0},{"@context":"https://schema.org","@type":"SiteNavigationElement","@id":"https://www.cbd.int/#cartagenaProtocolP1-WPH-SNE","cssSelector":"#cartagenaProtocolP1-WPH-SNE","xpath":"//*[@id=\"cartagenaProtocolP1-WPH-SNE\"]","name":"Cartagena Protocol","description":"Cartagena Protocol","url":"http://bch.cbd.int/protocol","identifier":[{"name":"drupalMenuName","value":"main"},{"name":"drupalMenuId","value":"c020db63-a368-4db6-8f24-9f80a3dc6c6a"}],"position":1},{"@context":"https://schema.org","@type":"SiteNavigationElement","@id":"https://www.cbd.int/#nagoyaProtocolP2-WPH-SNE","cssSelector":"#nagoyaProtocolP2-WPH-SNE","xpath":"//*[@id=\"nagoyaProtocolP2-WPH-SNE\"]","name":"Nagoya Protocol","description":"Nagoya Protocol","url":"/abs","identifier":[{"name":"drupalMenuName","value":"main"},{"name":"drupalMenuId","value":"6619ba9d-5ab9-4d69-8b41-510ccd62cd04"}],"position":2},{"@context":"https://schema.org","@type":"SiteNavigationElement","@id":"https://www.cbd.int/#countriesP3-WPH-SNE","cssSelector":"#countriesP3-WPH-SNE","xpath":"//*[@id=\"countriesP3-WPH-SNE\"]","name":"Countries","description":"Countries","url":"/countries","identifier":[{"name":"drupalMenuName","value":"main"},{"name":"drupalMenuId","value":"70f88e70-6dc8-4502-a710-984246625286"}],"position":3},{"@context":"https://schema.org","@type":"SiteNavigationElement","@id":"https://www.cbd.int/#programmesP4-WPH-SNE","cssSelector":"#programmesP4-WPH-SNE","xpath":"//*[@id=\"programmesP4-WPH-SNE\"]","name":"Programmes","description":null,"url":"/programmes/","identifier":[{"name":"drupalMenuName","value":"main"},{"name":"drupalMenuId","value":"ce94b1ee-73ed-4b10-8e33-08939978de8b"}],"position":4}]};

const locale = getUnLocale();
const dev = {
  host                 : 'https://www.cbddev.xyz',
  dapi                 : 'https://dapi.cbd.int',
  static               : false,
  siteNavigationElement: siteNavigationElements,
  locale
};

const stg           = { ...dev, host: 'https://www.staging.cbd.int' };
const prod          = { ...stg, host: 'https://www.cbd.int' };

const environments  = { prod, stg, dev };
const validationMap = { host: String,  dapi: String, static: Boolean, locale: String, siteNavigationElement: Object };

setDefaultOptions({ environments, validationMap, name }, name);

var getDefaultOptionsFn = getDefaultOptionsFunction(name);

//

var script$3 = {
  name      : 'PageSubHeader',
  components: { WPHeader: __vue_component__, SubHeader: __vue_component__$3 },
  methods   : { readMenusFromApi },
  computed  : { opts, siteNavElms },
  props     : { options: { type: Object, default: () => {} } },
  created, data
};

function created(){
  if(!this.opts.static)
    setTimeout(() => this.readMenusFromApi(), 100);
}

function data(){
  return { siteNavigationElement: {} }
}
function opts(){
  return getDefaultOptionsFn(this.options)
}

function siteNavElms(){
  return Object.keys(this.siteNavigationElement||{}).length? this.siteNavigationElement : this.opts.siteNavigationElement
}

async function readMenusFromApi(){
  const $http = this.$http? this.$http : await get$http();

  this.siteNavigationElement = (await getMain($http, this.opts))[0];
}

function getMain($http, { dapi }){
  return $http.get(`${dapi}/menus/main?postfix=WPH`).then(res => res.json())
    .then((d) =>  [ { identifier: [ { name: 'drupalMenuName', value: 'main' } ], name: 'main', position: 3, hasPart: d } ])
}

/* script */
const __vue_script__$3 = script$3;
/* template */
var __vue_render__$4 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('header',{staticClass:"header",attrs:{"id":"pageSubHeader","role":"banner","aria-label":_vm.$t('Page Sub Header')}},[_c('WPHeader',_vm._b({},'WPHeader',{ siteNavElms: _vm.siteNavElms, opts: _vm.opts },false)),_vm._v(" "),_c('SubHeader',_vm._b({},'SubHeader',{ siteNavElms: _vm.siteNavElms, opts: _vm.opts },false))],1)};
var __vue_staticRenderFns__$4 = [];

  /* style */
  const __vue_inject_styles__$4 = undefined;
  /* scoped */
  const __vue_scope_id__$4 = "data-v-a0e42ade";
  /* module identifier */
  const __vue_module_identifier__$4 = undefined;
  /* functional template */
  const __vue_is_functional_template__$4 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$4 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$4, staticRenderFns: __vue_staticRenderFns__$4 },
    __vue_inject_styles__$4,
    __vue_script__$3,
    __vue_scope_id__$4,
    __vue_is_functional_template__$4,
    __vue_module_identifier__$4,
    false,
    undefined,
    undefined,
    undefined
  );

const NAME =  pascalCase(name.replace('@scbd/', 'SCBD'));

function install(Vue){
  if (install.installed) return
  
  install.installed = true;
  
  Vue.component(NAME, __vue_component__$4);
}

const plugin = { install, NAME };

export default __vue_component__$4;
export { install, plugin };
//# sourceMappingURL=index.js.map
